<app-loading-spinner *ngIf="loading"></app-loading-spinner>

<h1>... waiting for other users to join ... </h1>
<mat-grid-list cols="2" rowHeight="3:1" [@userAdded]="userMap.size">
  <mat-grid-tile *ngFor="let user of userMap | keyvalue; trackBy: trackById">
    <img [src]="'./assets/avatars/' + user.value.avatar" alt="avatar">
    <div>
      {{ user.value.userName }}
    </div>
    <mat-icon></mat-icon>
  </mat-grid-tile>
</mat-grid-list>

<div *ngIf="currentUser">
  <button mat-stroked-button *ngIf="currentUser.host" (click)="copyLink()">
    Copy Enter Link
  </button>

  <button mat-stroked-button *ngIf="currentUser.host" [disabled]="userMap.size < 2" (click)="startGame()">
    Start Game
  </button>
</div>
